Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network203.76.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
203.76.0.0
Broadcast address
203.79.255.255
First usable
203.76.0.1
Last usable
203.79.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
C (default /24)
As numbers
Hex CB4C0000 · Integer 3410755584 to 3411017727
Reverse DNS zones
76.203.in-addr.arpa
77.203.in-addr.arpa
78.203.in-addr.arpa
79.203.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001011.01001100.00000000.00000000203.76.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network11001011.01001100.00000000.00000000203.76.0.0
Broadcast11001011.01001111.11111111.11111111203.79.255.255
Split into smaller subnets/24

203.76.0.0/14 makes 1,024 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1203.76.0.0/24203.76.0.1 to 203.76.0.254203.76.0.255254
2203.76.1.0/24203.76.1.1 to 203.76.1.254203.76.1.255254
3203.76.2.0/24203.76.2.1 to 203.76.2.254203.76.2.255254
4203.76.3.0/24203.76.3.1 to 203.76.3.254203.76.3.255254
5203.76.4.0/24203.76.4.1 to 203.76.4.254203.76.4.255254
6203.76.5.0/24203.76.5.1 to 203.76.5.254203.76.5.255254
7203.76.6.0/24203.76.6.1 to 203.76.6.254203.76.6.255254
8203.76.7.0/24203.76.7.1 to 203.76.7.254203.76.7.255254
9203.76.8.0/24203.76.8.1 to 203.76.8.254203.76.8.255254
10203.76.9.0/24203.76.9.1 to 203.76.9.254203.76.9.255254
11203.76.10.0/24203.76.10.1 to 203.76.10.254203.76.10.255254
12203.76.11.0/24203.76.11.1 to 203.76.11.254203.76.11.255254
13203.76.12.0/24203.76.12.1 to 203.76.12.254203.76.12.255254
14203.76.13.0/24203.76.13.1 to 203.76.13.254203.76.13.255254
15203.76.14.0/24203.76.14.1 to 203.76.14.254203.76.14.255254
16203.76.15.0/24203.76.15.1 to 203.76.15.254203.76.15.255254
17203.76.16.0/24203.76.16.1 to 203.76.16.254203.76.16.255254
18203.76.17.0/24203.76.17.1 to 203.76.17.254203.76.17.255254
19203.76.18.0/24203.76.18.1 to 203.76.18.254203.76.18.255254
20203.76.19.0/24203.76.19.1 to 203.76.19.254203.76.19.255254
21203.76.20.0/24203.76.20.1 to 203.76.20.254203.76.20.255254
22203.76.21.0/24203.76.21.1 to 203.76.21.254203.76.21.255254
23203.76.22.0/24203.76.22.1 to 203.76.22.254203.76.22.255254
24203.76.23.0/24203.76.23.1 to 203.76.23.254203.76.23.255254
25203.76.24.0/24203.76.24.1 to 203.76.24.254203.76.24.255254
26203.76.25.0/24203.76.25.1 to 203.76.25.254203.76.25.255254
27203.76.26.0/24203.76.26.1 to 203.76.26.254203.76.26.255254
28203.76.27.0/24203.76.27.1 to 203.76.27.254203.76.27.255254
29203.76.28.0/24203.76.28.1 to 203.76.28.254203.76.28.255254
30203.76.29.0/24203.76.29.1 to 203.76.29.254203.76.29.255254
31203.76.30.0/24203.76.30.1 to 203.76.30.254203.76.30.255254
32203.76.31.0/24203.76.31.1 to 203.76.31.254203.76.31.255254
33203.76.32.0/24203.76.32.1 to 203.76.32.254203.76.32.255254
34203.76.33.0/24203.76.33.1 to 203.76.33.254203.76.33.255254
35203.76.34.0/24203.76.34.1 to 203.76.34.254203.76.34.255254
36203.76.35.0/24203.76.35.1 to 203.76.35.254203.76.35.255254
37203.76.36.0/24203.76.36.1 to 203.76.36.254203.76.36.255254
38203.76.37.0/24203.76.37.1 to 203.76.37.254203.76.37.255254
39203.76.38.0/24203.76.38.1 to 203.76.38.254203.76.38.255254
40203.76.39.0/24203.76.39.1 to 203.76.39.254203.76.39.255254
41203.76.40.0/24203.76.40.1 to 203.76.40.254203.76.40.255254
42203.76.41.0/24203.76.41.1 to 203.76.41.254203.76.41.255254
43203.76.42.0/24203.76.42.1 to 203.76.42.254203.76.42.255254
44203.76.43.0/24203.76.43.1 to 203.76.43.254203.76.43.255254
45203.76.44.0/24203.76.44.1 to 203.76.44.254203.76.44.255254
46203.76.45.0/24203.76.45.1 to 203.76.45.254203.76.45.255254
47203.76.46.0/24203.76.46.1 to 203.76.46.254203.76.46.255254
48203.76.47.0/24203.76.47.1 to 203.76.47.254203.76.47.255254
49203.76.48.0/24203.76.48.1 to 203.76.48.254203.76.48.255254
50203.76.49.0/24203.76.49.1 to 203.76.49.254203.76.49.255254
51203.76.50.0/24203.76.50.1 to 203.76.50.254203.76.50.255254
52203.76.51.0/24203.76.51.1 to 203.76.51.254203.76.51.255254
53203.76.52.0/24203.76.52.1 to 203.76.52.254203.76.52.255254
54203.76.53.0/24203.76.53.1 to 203.76.53.254203.76.53.255254
55203.76.54.0/24203.76.54.1 to 203.76.54.254203.76.54.255254
56203.76.55.0/24203.76.55.1 to 203.76.55.254203.76.55.255254
57203.76.56.0/24203.76.56.1 to 203.76.56.254203.76.56.255254
58203.76.57.0/24203.76.57.1 to 203.76.57.254203.76.57.255254
59203.76.58.0/24203.76.58.1 to 203.76.58.254203.76.58.255254
60203.76.59.0/24203.76.59.1 to 203.76.59.254203.76.59.255254
61203.76.60.0/24203.76.60.1 to 203.76.60.254203.76.60.255254
62203.76.61.0/24203.76.61.1 to 203.76.61.254203.76.61.255254
63203.76.62.0/24203.76.62.1 to 203.76.62.254203.76.62.255254
64203.76.63.0/24203.76.63.1 to 203.76.63.254203.76.63.255254
65203.76.64.0/24203.76.64.1 to 203.76.64.254203.76.64.255254
66203.76.65.0/24203.76.65.1 to 203.76.65.254203.76.65.255254
67203.76.66.0/24203.76.66.1 to 203.76.66.254203.76.66.255254
68203.76.67.0/24203.76.67.1 to 203.76.67.254203.76.67.255254
69203.76.68.0/24203.76.68.1 to 203.76.68.254203.76.68.255254
70203.76.69.0/24203.76.69.1 to 203.76.69.254203.76.69.255254
71203.76.70.0/24203.76.70.1 to 203.76.70.254203.76.70.255254
72203.76.71.0/24203.76.71.1 to 203.76.71.254203.76.71.255254
73203.76.72.0/24203.76.72.1 to 203.76.72.254203.76.72.255254
74203.76.73.0/24203.76.73.1 to 203.76.73.254203.76.73.255254
75203.76.74.0/24203.76.74.1 to 203.76.74.254203.76.74.255254
76203.76.75.0/24203.76.75.1 to 203.76.75.254203.76.75.255254
77203.76.76.0/24203.76.76.1 to 203.76.76.254203.76.76.255254
78203.76.77.0/24203.76.77.1 to 203.76.77.254203.76.77.255254
79203.76.78.0/24203.76.78.1 to 203.76.78.254203.76.78.255254
80203.76.79.0/24203.76.79.1 to 203.76.79.254203.76.79.255254
81203.76.80.0/24203.76.80.1 to 203.76.80.254203.76.80.255254
82203.76.81.0/24203.76.81.1 to 203.76.81.254203.76.81.255254
83203.76.82.0/24203.76.82.1 to 203.76.82.254203.76.82.255254
84203.76.83.0/24203.76.83.1 to 203.76.83.254203.76.83.255254
85203.76.84.0/24203.76.84.1 to 203.76.84.254203.76.84.255254
86203.76.85.0/24203.76.85.1 to 203.76.85.254203.76.85.255254
87203.76.86.0/24203.76.86.1 to 203.76.86.254203.76.86.255254
88203.76.87.0/24203.76.87.1 to 203.76.87.254203.76.87.255254
89203.76.88.0/24203.76.88.1 to 203.76.88.254203.76.88.255254
90203.76.89.0/24203.76.89.1 to 203.76.89.254203.76.89.255254
91203.76.90.0/24203.76.90.1 to 203.76.90.254203.76.90.255254
92203.76.91.0/24203.76.91.1 to 203.76.91.254203.76.91.255254
93203.76.92.0/24203.76.92.1 to 203.76.92.254203.76.92.255254
94203.76.93.0/24203.76.93.1 to 203.76.93.254203.76.93.255254
95203.76.94.0/24203.76.94.1 to 203.76.94.254203.76.94.255254
96203.76.95.0/24203.76.95.1 to 203.76.95.254203.76.95.255254
97203.76.96.0/24203.76.96.1 to 203.76.96.254203.76.96.255254
98203.76.97.0/24203.76.97.1 to 203.76.97.254203.76.97.255254
99203.76.98.0/24203.76.98.1 to 203.76.98.254203.76.98.255254
100203.76.99.0/24203.76.99.1 to 203.76.99.254203.76.99.255254
101203.76.100.0/24203.76.100.1 to 203.76.100.254203.76.100.255254
102203.76.101.0/24203.76.101.1 to 203.76.101.254203.76.101.255254
103203.76.102.0/24203.76.102.1 to 203.76.102.254203.76.102.255254
104203.76.103.0/24203.76.103.1 to 203.76.103.254203.76.103.255254
105203.76.104.0/24203.76.104.1 to 203.76.104.254203.76.104.255254
106203.76.105.0/24203.76.105.1 to 203.76.105.254203.76.105.255254
107203.76.106.0/24203.76.106.1 to 203.76.106.254203.76.106.255254
108203.76.107.0/24203.76.107.1 to 203.76.107.254203.76.107.255254
109203.76.108.0/24203.76.108.1 to 203.76.108.254203.76.108.255254
110203.76.109.0/24203.76.109.1 to 203.76.109.254203.76.109.255254
111203.76.110.0/24203.76.110.1 to 203.76.110.254203.76.110.255254
112203.76.111.0/24203.76.111.1 to 203.76.111.254203.76.111.255254
113203.76.112.0/24203.76.112.1 to 203.76.112.254203.76.112.255254
114203.76.113.0/24203.76.113.1 to 203.76.113.254203.76.113.255254
115203.76.114.0/24203.76.114.1 to 203.76.114.254203.76.114.255254
116203.76.115.0/24203.76.115.1 to 203.76.115.254203.76.115.255254
117203.76.116.0/24203.76.116.1 to 203.76.116.254203.76.116.255254
118203.76.117.0/24203.76.117.1 to 203.76.117.254203.76.117.255254
119203.76.118.0/24203.76.118.1 to 203.76.118.254203.76.118.255254
120203.76.119.0/24203.76.119.1 to 203.76.119.254203.76.119.255254
121203.76.120.0/24203.76.120.1 to 203.76.120.254203.76.120.255254
122203.76.121.0/24203.76.121.1 to 203.76.121.254203.76.121.255254
123203.76.122.0/24203.76.122.1 to 203.76.122.254203.76.122.255254
124203.76.123.0/24203.76.123.1 to 203.76.123.254203.76.123.255254
125203.76.124.0/24203.76.124.1 to 203.76.124.254203.76.124.255254
126203.76.125.0/24203.76.125.1 to 203.76.125.254203.76.125.255254
127203.76.126.0/24203.76.126.1 to 203.76.126.254203.76.126.255254
128203.76.127.0/24203.76.127.1 to 203.76.127.254203.76.127.255254
129203.76.128.0/24203.76.128.1 to 203.76.128.254203.76.128.255254
130203.76.129.0/24203.76.129.1 to 203.76.129.254203.76.129.255254
131203.76.130.0/24203.76.130.1 to 203.76.130.254203.76.130.255254
132203.76.131.0/24203.76.131.1 to 203.76.131.254203.76.131.255254
133203.76.132.0/24203.76.132.1 to 203.76.132.254203.76.132.255254
134203.76.133.0/24203.76.133.1 to 203.76.133.254203.76.133.255254
135203.76.134.0/24203.76.134.1 to 203.76.134.254203.76.134.255254
136203.76.135.0/24203.76.135.1 to 203.76.135.254203.76.135.255254
137203.76.136.0/24203.76.136.1 to 203.76.136.254203.76.136.255254
138203.76.137.0/24203.76.137.1 to 203.76.137.254203.76.137.255254
139203.76.138.0/24203.76.138.1 to 203.76.138.254203.76.138.255254
140203.76.139.0/24203.76.139.1 to 203.76.139.254203.76.139.255254
141203.76.140.0/24203.76.140.1 to 203.76.140.254203.76.140.255254
142203.76.141.0/24203.76.141.1 to 203.76.141.254203.76.141.255254
143203.76.142.0/24203.76.142.1 to 203.76.142.254203.76.142.255254
144203.76.143.0/24203.76.143.1 to 203.76.143.254203.76.143.255254
145203.76.144.0/24203.76.144.1 to 203.76.144.254203.76.144.255254
146203.76.145.0/24203.76.145.1 to 203.76.145.254203.76.145.255254
147203.76.146.0/24203.76.146.1 to 203.76.146.254203.76.146.255254
148203.76.147.0/24203.76.147.1 to 203.76.147.254203.76.147.255254
149203.76.148.0/24203.76.148.1 to 203.76.148.254203.76.148.255254
150203.76.149.0/24203.76.149.1 to 203.76.149.254203.76.149.255254
151203.76.150.0/24203.76.150.1 to 203.76.150.254203.76.150.255254
152203.76.151.0/24203.76.151.1 to 203.76.151.254203.76.151.255254
153203.76.152.0/24203.76.152.1 to 203.76.152.254203.76.152.255254
154203.76.153.0/24203.76.153.1 to 203.76.153.254203.76.153.255254
155203.76.154.0/24203.76.154.1 to 203.76.154.254203.76.154.255254
156203.76.155.0/24203.76.155.1 to 203.76.155.254203.76.155.255254
157203.76.156.0/24203.76.156.1 to 203.76.156.254203.76.156.255254
158203.76.157.0/24203.76.157.1 to 203.76.157.254203.76.157.255254
159203.76.158.0/24203.76.158.1 to 203.76.158.254203.76.158.255254
160203.76.159.0/24203.76.159.1 to 203.76.159.254203.76.159.255254
161203.76.160.0/24203.76.160.1 to 203.76.160.254203.76.160.255254
162203.76.161.0/24203.76.161.1 to 203.76.161.254203.76.161.255254
163203.76.162.0/24203.76.162.1 to 203.76.162.254203.76.162.255254
164203.76.163.0/24203.76.163.1 to 203.76.163.254203.76.163.255254
165203.76.164.0/24203.76.164.1 to 203.76.164.254203.76.164.255254
166203.76.165.0/24203.76.165.1 to 203.76.165.254203.76.165.255254
167203.76.166.0/24203.76.166.1 to 203.76.166.254203.76.166.255254
168203.76.167.0/24203.76.167.1 to 203.76.167.254203.76.167.255254
169203.76.168.0/24203.76.168.1 to 203.76.168.254203.76.168.255254
170203.76.169.0/24203.76.169.1 to 203.76.169.254203.76.169.255254
171203.76.170.0/24203.76.170.1 to 203.76.170.254203.76.170.255254
172203.76.171.0/24203.76.171.1 to 203.76.171.254203.76.171.255254
173203.76.172.0/24203.76.172.1 to 203.76.172.254203.76.172.255254
174203.76.173.0/24203.76.173.1 to 203.76.173.254203.76.173.255254
175203.76.174.0/24203.76.174.1 to 203.76.174.254203.76.174.255254
176203.76.175.0/24203.76.175.1 to 203.76.175.254203.76.175.255254
177203.76.176.0/24203.76.176.1 to 203.76.176.254203.76.176.255254
178203.76.177.0/24203.76.177.1 to 203.76.177.254203.76.177.255254
179203.76.178.0/24203.76.178.1 to 203.76.178.254203.76.178.255254
180203.76.179.0/24203.76.179.1 to 203.76.179.254203.76.179.255254
181203.76.180.0/24203.76.180.1 to 203.76.180.254203.76.180.255254
182203.76.181.0/24203.76.181.1 to 203.76.181.254203.76.181.255254
183203.76.182.0/24203.76.182.1 to 203.76.182.254203.76.182.255254
184203.76.183.0/24203.76.183.1 to 203.76.183.254203.76.183.255254
185203.76.184.0/24203.76.184.1 to 203.76.184.254203.76.184.255254
186203.76.185.0/24203.76.185.1 to 203.76.185.254203.76.185.255254
187203.76.186.0/24203.76.186.1 to 203.76.186.254203.76.186.255254
188203.76.187.0/24203.76.187.1 to 203.76.187.254203.76.187.255254
189203.76.188.0/24203.76.188.1 to 203.76.188.254203.76.188.255254
190203.76.189.0/24203.76.189.1 to 203.76.189.254203.76.189.255254
191203.76.190.0/24203.76.190.1 to 203.76.190.254203.76.190.255254
192203.76.191.0/24203.76.191.1 to 203.76.191.254203.76.191.255254
193203.76.192.0/24203.76.192.1 to 203.76.192.254203.76.192.255254
194203.76.193.0/24203.76.193.1 to 203.76.193.254203.76.193.255254
195203.76.194.0/24203.76.194.1 to 203.76.194.254203.76.194.255254
196203.76.195.0/24203.76.195.1 to 203.76.195.254203.76.195.255254
197203.76.196.0/24203.76.196.1 to 203.76.196.254203.76.196.255254
198203.76.197.0/24203.76.197.1 to 203.76.197.254203.76.197.255254
199203.76.198.0/24203.76.198.1 to 203.76.198.254203.76.198.255254
200203.76.199.0/24203.76.199.1 to 203.76.199.254203.76.199.255254
201203.76.200.0/24203.76.200.1 to 203.76.200.254203.76.200.255254
202203.76.201.0/24203.76.201.1 to 203.76.201.254203.76.201.255254
203203.76.202.0/24203.76.202.1 to 203.76.202.254203.76.202.255254
204203.76.203.0/24203.76.203.1 to 203.76.203.254203.76.203.255254
205203.76.204.0/24203.76.204.1 to 203.76.204.254203.76.204.255254
206203.76.205.0/24203.76.205.1 to 203.76.205.254203.76.205.255254
207203.76.206.0/24203.76.206.1 to 203.76.206.254203.76.206.255254
208203.76.207.0/24203.76.207.1 to 203.76.207.254203.76.207.255254
209203.76.208.0/24203.76.208.1 to 203.76.208.254203.76.208.255254
210203.76.209.0/24203.76.209.1 to 203.76.209.254203.76.209.255254
211203.76.210.0/24203.76.210.1 to 203.76.210.254203.76.210.255254
212203.76.211.0/24203.76.211.1 to 203.76.211.254203.76.211.255254
213203.76.212.0/24203.76.212.1 to 203.76.212.254203.76.212.255254
214203.76.213.0/24203.76.213.1 to 203.76.213.254203.76.213.255254
215203.76.214.0/24203.76.214.1 to 203.76.214.254203.76.214.255254
216203.76.215.0/24203.76.215.1 to 203.76.215.254203.76.215.255254
217203.76.216.0/24203.76.216.1 to 203.76.216.254203.76.216.255254
218203.76.217.0/24203.76.217.1 to 203.76.217.254203.76.217.255254
219203.76.218.0/24203.76.218.1 to 203.76.218.254203.76.218.255254
220203.76.219.0/24203.76.219.1 to 203.76.219.254203.76.219.255254
221203.76.220.0/24203.76.220.1 to 203.76.220.254203.76.220.255254
222203.76.221.0/24203.76.221.1 to 203.76.221.254203.76.221.255254
223203.76.222.0/24203.76.222.1 to 203.76.222.254203.76.222.255254
224203.76.223.0/24203.76.223.1 to 203.76.223.254203.76.223.255254
225203.76.224.0/24203.76.224.1 to 203.76.224.254203.76.224.255254
226203.76.225.0/24203.76.225.1 to 203.76.225.254203.76.225.255254
227203.76.226.0/24203.76.226.1 to 203.76.226.254203.76.226.255254
228203.76.227.0/24203.76.227.1 to 203.76.227.254203.76.227.255254
229203.76.228.0/24203.76.228.1 to 203.76.228.254203.76.228.255254
230203.76.229.0/24203.76.229.1 to 203.76.229.254203.76.229.255254
231203.76.230.0/24203.76.230.1 to 203.76.230.254203.76.230.255254
232203.76.231.0/24203.76.231.1 to 203.76.231.254203.76.231.255254
233203.76.232.0/24203.76.232.1 to 203.76.232.254203.76.232.255254
234203.76.233.0/24203.76.233.1 to 203.76.233.254203.76.233.255254
235203.76.234.0/24203.76.234.1 to 203.76.234.254203.76.234.255254
236203.76.235.0/24203.76.235.1 to 203.76.235.254203.76.235.255254
237203.76.236.0/24203.76.236.1 to 203.76.236.254203.76.236.255254
238203.76.237.0/24203.76.237.1 to 203.76.237.254203.76.237.255254
239203.76.238.0/24203.76.238.1 to 203.76.238.254203.76.238.255254
240203.76.239.0/24203.76.239.1 to 203.76.239.254203.76.239.255254
241203.76.240.0/24203.76.240.1 to 203.76.240.254203.76.240.255254
242203.76.241.0/24203.76.241.1 to 203.76.241.254203.76.241.255254
243203.76.242.0/24203.76.242.1 to 203.76.242.254203.76.242.255254
244203.76.243.0/24203.76.243.1 to 203.76.243.254203.76.243.255254
245203.76.244.0/24203.76.244.1 to 203.76.244.254203.76.244.255254
246203.76.245.0/24203.76.245.1 to 203.76.245.254203.76.245.255254
247203.76.246.0/24203.76.246.1 to 203.76.246.254203.76.246.255254
248203.76.247.0/24203.76.247.1 to 203.76.247.254203.76.247.255254
249203.76.248.0/24203.76.248.1 to 203.76.248.254203.76.248.255254
250203.76.249.0/24203.76.249.1 to 203.76.249.254203.76.249.255254
251203.76.250.0/24203.76.250.1 to 203.76.250.254203.76.250.255254
252203.76.251.0/24203.76.251.1 to 203.76.251.254203.76.251.255254
253203.76.252.0/24203.76.252.1 to 203.76.252.254203.76.252.255254
254203.76.253.0/24203.76.253.1 to 203.76.253.254203.76.253.255254
255203.76.254.0/24203.76.254.1 to 203.76.254.254203.76.254.255254
256203.76.255.0/24203.76.255.1 to 203.76.255.254203.76.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses